esl-weight(1)

NAME
esl-weight - calculate sequence weights in MSA(s)

SYNOPSIS
esl-weight [options] msafile

DESCRIPTION

esl-weight calculates individual sequence weights for each alignment in msafile and outputs a new multiple sequence alignment file in Stockholm format with the weights annotated in Stockholm-format #=GS seqname WT weight lines. The default weighting algorithm is the Gerstein/Sonnhammer/Chothia algorithm.

If msafile is - (a single dash), MSA input is read from stdin.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

-g  Use the Gerstein/Sonnhammer/Chothia weighting algorithm; this is the default.

-p  Use the Henikoff position-based weighting algorithm. This is faster and more memory efficient than the default.

-b  "BLOSUM weights": use approximately the same rule used in constructing the BLOSUM score matrices. This involves single-linkage clustering at some fractional identity threshold (default 0.62; see --id option), then for each cluster, splitting a total weight of one uniformly amongst all sequences in the cluster.

EXPERT OPTIONS

--id <x>
    Sets the fractional identity threshold used by the BLOSUM weighting rule (option -b; required), to a number 0<=x<=1. Default is 0.62.

--amino
    Assert that the msafile contains protein sequences.

--dna
    Assert that the msafile contains DNA sequences.

--rna
    Assert that the msafile contains RNA sequences.

SEE ALSO
http://bioeasel.org/

COPYRIGHT
Copyright (C) 2019 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.

AUTHOR
http://eddylab.org